import { AxiosResponse } from 'axios';
import { DaikinOnePlusPlatform } from './platform';
export declare class DaikinApi {
    private readonly user;
    private readonly password;
    private readonly platform;
    private _token;
    private _locations;
    private _tokenExpiration;
    private _devices;
    constructor(user: string, password: string, platform: DaikinOnePlusPlatform);
    Initialize(): Promise<void>;
    getData(): Promise<void>;
    getToken(): Promise<void>;
    setToken(response: AxiosResponse<any>): Promise<void>;
    getLocation(): Promise<any>;
    getDevices(): Promise<any>;
    getDeviceData(device: any): Promise<any>;
    refreshToken(): void;
    getRequest(uri: string): Promise<any>;
    getDeviceList(): any;
    getDeviceName(deviceName: number, deviceNameCustom: string): string;
    getCurrentStatus(deviceId: string): number;
    getCurrentTemp(deviceId: string): number;
    getTargetState(deviceId: string): number;
    getTargetTemp(deviceId: string): number;
    getCurrentHumidity(deviceId: string): number;
    getOutdoorHumidity(deviceId: string): number;
    getTargetHumidity(deviceId: string): number;
    getAirQualityLevel(deviceId: string, forIndoor: boolean): number;
    getOzone(deviceId: string, forIndoor: boolean): number;
    getAirQualityValue(deviceId: string, forIndoor: boolean): number;
    getPM2_5Density(deviceId: string, forIndoor: boolean): number;
    getVocDensity(deviceId: string, forIndoor: boolean): number;
    getDisplayUnits(deviceId: string): number;
    setTargetTemp(deviceId: string, requestedTemp: number): Promise<boolean>;
    setTargetState(deviceId: string, requestedState: number): Promise<boolean>;
    setDisplayUnits(deviceId: string, requestedUnits: number): Promise<boolean>;
    setTargetHumidity(deviceId: string, requestedHumidity: number): Promise<boolean>;
}
//# sourceMappingURL=daikinapi.d.ts.map