import { PlatformAccessory, CharacteristicValue } from 'homebridge';
import { DaikinApi } from './daikinapi';
import { DaikinOnePlusPlatform } from './platform';
/**
 * Platform Accessory
 * An instance of this class is created for each accessory your platform registers
 * Each accessory may expose multiple services of different service types.
 */
export declare class DaikinOnePlusAQSensor {
    private readonly platform;
    private readonly accessory;
    private readonly deviceId;
    private readonly daikinApi;
    private readonly forIndoor;
    private readonly displayName;
    private service;
    constructor(platform: DaikinOnePlusPlatform, accessory: PlatformAccessory, deviceId: string, daikinApi: DaikinApi, forIndoor: boolean, displayName: string);
    updateValues(): void;
    /**
     * Handle requests to get the current value of the "Air Quality" characteristic
     */
    handleAirQualityGet(): CharacteristicValue;
    /**
     * Handle requests to get the current value of the "Ozone Density" characteristic
     */
    handleOzoneGet(): CharacteristicValue;
    /**
     * Handle requests to get the current value of the "Current Temperature" characteristic
     */
    handleAirQualityValueGet(): CharacteristicValue;
    /**
     * Handle requests to get the current value of the "PM2.5 Density" characteristic
     */
    handlePM2_5DensityGet(): CharacteristicValue;
    /**
     * Handle requests to get the current value of the "Current Relative Humidity" characteristic
     */
    handleVocDensityGet(): CharacteristicValue;
}
//# sourceMappingURL=platformAQI.d.ts.map